.thumbnail {
    width: 100%;
    display: block;
}

.video-title {
    margin-top: 0;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    margin-bottom: 10px;
}

.video-info-grid {
    display: grid;
    grid-template-columns: 50px 1fr;
}

.channel-picture {
    width: 36px;
    border-radius: 50px;
}

.thumbnail-row {
    margin-bottom: 8px;
    position: relative;
}

.video-author,
.video-stats {
    font-size: 12px;
    color: rgb(96, 96, 96);
}

.video-author {
    margin-bottom: 4px;
}

.video-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 16px;
    row-gap: 40px;
}

.video-time {
    font-size: 12px;
    font-weight: 500;
    padding: 4px;
    background-color: black;
    color: white;
    position: absolute;
    bottom: 8px;
    right: 5px;
}



@media (max-width: 600px) {
    .video-grid {
        grid-template-columns: 1fr;
        gap: 10px;
    }

    .channel-picture {
        width: 36px;
        border-radius: 50px;
        margin: 0 5px;
    }

    .video-title {
        font-size: 16px;
    }

    .video-author {
        font-size: 14px;
    }

    .video-stats {
        font-size: 11px;
    }
}

@media (min-width: 751px) and (max-width:999px) {
    .video-grid {
        grid-template-columns: 1fr 1fr;
    }
}

@media (min-width: 1000px) {
    .video-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}



